<template>
  <div class="input">
    <div class="input_inner textarea">
      <label
        class="textarea"
        :for="fieldAttributeName"
        v-show="!value">
        <div>{{label}}</div>
      </label>
      <img
        @click="$emit('copy', value)"
        src="~/static/icons/copy.png"
        class="icon"
        alt="">
      <textarea
        type="text"
        :id="fieldAttributeName"
        :value="value"
        rows="4"
        class="input_textarea"
        @input="updateInput"></textarea>
    </div>
  </div>
</template>

<script>
  export default {
    name: "b-textarea",
    props: {
      label: {
        type: String,
        default: 'Input value'
      },
      value: {
        type: String,
        default: ''
      }
    },
    data() {
      return {
        fieldAttributeName: new Date().getTime() + '-textarea'
      }
    },
    methods: {
      updateInput(val) {
        this.$emit('input', val.target.value);
      }
    }
  }
</script>
<style lang="scss" scoped>
.input {
  &_textarea {
    padding-right: 30px;
  }
}
.icon {
  position: absolute;
  right: 9px;
  top: 9px;
  max-width: 16px;
  max-height: 16px;
}
</style>
